<%@ page language="java" errorPage="error.jsp" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://xmlns.oracle.com/j2ee/jsp/tld/ojsp/fileaccess.tld" prefix="upload" %>
<%@ taglib uri="http://xmlns.oracle.com/j2ee/jsp/tld/ojsp/sqltaglib.tld" prefix="sql" %>
<%
   String connStr=request.getParameter("DSconnStr");
   if (connStr==null) { connStr=(String)session.getValue("DSconnStr"); }
   else { session.putValue("DSconnStr",connStr);}
   if (connStr==null) { %>
<jsp:forward page="setconn.jsp" />
<% } %>
<html><body>
<sql:dbOpen dataSource="<%= connStr %>" >
<upload:httpUpload
  destinationType = "database" destination="tagexample" />
</sql:dbOpen>
Done!
</body></html>
